Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class VariableStateDesc

    java.lang.Object
      org.droolsjbpm.services.impl.model.VariableStateDesc

All Implemented Interfaces:
  Serializable

    public class VariableStateDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`VariableStateDesc()`
`VariableStateDesc(String variableId, String variableInstanceId, String oldValue, String newValue, String domainId, long processInstanceId, Date date)`

Method Summary
`Date` | `getDataTimeStamp()`
`String` | `getDomainId()`
`String` | `getNewValue()`
`String` | `getOldValue()`
`long` | `getProcessInstanceId()`
`String` | `getVariableId()`
`String` | `getVariableInstanceId()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableStateDesc

    public VariableStateDesc()

### VariableStateDesc

    public VariableStateDesc(String variableId,
                             String variableInstanceId,
                             String oldValue,
                             String newValue,
                             String domainId,
                             long processInstanceId,
                             Date date)

Method Detail

### getVariableId

    public String getVariableId()

### getVariableInstanceId

    public String getVariableInstanceId()

### getOldValue

    public String getOldValue()

### getNewValue

    public String getNewValue()

### getDomainId

    public String getDomainId()

### getProcessInstanceId

    public long getProcessInstanceId()

### getDataTimeStamp

    public Date getDataTimeStamp()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.